LibreOffice LibreOffice 6.0 SDK API Reference

Classes | Modules
XLayoutManager.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/frame/XFrame.idl";`
`import "com/sun/star/awt/Point.idl";`
`import "com/sun/star/awt/Size.idl";`
`import "com/sun/star/awt/XWindow.idl";`
`import "com/sun/star/ui/XUIElement.idl";`
`import "com/sun/star/ui/DockingArea.idl";`
`import "com/sun/star/ui/XDockingAreaAcceptor.idl";`

Go to the source code of this file.

## Classes
interface | XLayoutManager
| central interface to query for, create, destroy and manipulate user interface elements which are bound to a layout manager. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::frame
| Desktop environment framework interfaces.